# Uses of Class
org.apache.sling.feature.extension.apiregions.api.config.validation.FeatureValidationResult

Packages that use FeatureValidationResult
Package
Description
org.apache.sling.feature.extension.apiregions.api.config.validation

## Uses of FeatureValidationResult in org.apache.sling.feature.extension.apiregions.api.config.validation

Methods in org.apache.sling.feature.extension.apiregions.api.config.validation that return FeatureValidationResult
Modifier and Type
Method
Description
`FeatureValidationResult`
FeatureValidator.`validate(org.apache.sling.feature.Feature feature)`
Validate the feature against its configuration API
`FeatureValidationResult`
FeatureValidator.`validate(org.apache.sling.feature.Feature feature, ConfigurationApi api)`
Validate the feature against the configuration API
Methods in org.apache.sling.feature.extension.apiregions.api.config.validation with parameters of type FeatureValidationResult
Modifier and Type
Method
Description
`boolean`
FeatureValidator.`applyDefaultValues(org.apache.sling.feature.Feature feature, FeatureValidationResult result)`
Apply default values from the result of a validation run.